Summary: The Linux Video Editing System
Copyright: GPL [(c) G. Finch (salsaman)]
Name: LiVES
Version: 0.8.5
Release: 1
URL: http://www.xs4all.nl/~salsaman/lives
Group: Multimedia/Video/Editors
Source: %{name}-%{version}-src.tar.bz2
Packager: Gabriel Finch <salsaman@xs4all.nl>
BuildRoot: /var/tmp/%{name}-%{PACKAGE_VERSION}-root
Prefix: /usr

%define prefix	/usr


Requires:	glibc >= 2.3.0
Requires:	gtk+2.0 >= 2.0
Requires:	libgtk+2.0 >= 2.0
Requires:	libgtk+-x11-2.0 >= 2.0
Requires:	libglib2 >= 2.0.0
Requires:	gdk-pixbuf-loaders >= 0.18.0
Requires:	libgdk_pixbuf2.0 >= 2.0.0
Requires:	ImageMagick >= 4.2.9
Requires:	libjpeg62
Requires:	mplayer  >= 0.90rc1
Requires:	perl >= 5.6.0
Requires:	XFree86-libs >= 4.2.0
Requires:	zlib1 >= 1.1.0
Requires:	libatk1.0 >= 1.0
Requires:	libexpat0 >= 1.0
Requires:	libfontconfig1 >= 1.0
Requires:	freetype2 >= 2.0.0
Requires:	libpango1.0 >= 1.0
Requires:       pkgconfig >= 0.9.0



%description
LiVES (the Linux Video Editing System) is a simple to use, yet powerful
video effects and editing system. It uses commonly available tools (mplayer,
ImageMagick, and GTK+, so it should work on most Linux systems.
%prep
%setup -q


%build
./configure --prefix=%prefix
CFLAGS="$RPM_OPT_FLAGS" 
%configure

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall install-strip
cp smogrify $RPM_BUILD_ROOT%{_bindir}
cp midistart $RPM_BUILD_ROOT%{_bindir}
cp midistop $RPM_BUILD_ROOT%{_bindir}

mkdir $RPM_BUILD_ROOT%{_datadir}
#mkdir $RPM_BUILD_ROOT%{_datadir}/applnk-mdk
#mkdir $RPM_BUILD_ROOT%{_datadir}/applnk-mdk/Multimedia
#mkdir $RPM_BUILD_ROOT%{_datadir}/applnk-mdk/Multimedia/Video

mkdir $RPM_BUILD_ROOT%{_datadir}/lives
mkdir $RPM_BUILD_ROOT%{_datadir}/lives/themes
mkdir $RPM_BUILD_ROOT%{_datadir}/lives/themes/default
mkdir $RPM_BUILD_ROOT%{_datadir}/lives/themes/greenish
mkdir $RPM_BUILD_ROOT%{_datadir}/lives/themes/pinks
mkdir $RPM_BUILD_ROOT%{_datadir}/lives/themes/cutting_room
mkdir $RPM_BUILD_ROOT%{_datadir}/lives/themes/sunburst
mkdir $RPM_BUILD_ROOT%{_datadir}/lives/plugins
mkdir $RPM_BUILD_ROOT%{_datadir}/lives/plugins/encoders
mkdir $RPM_BUILD_ROOT%{_datadir}/lives/plugins/playback
mkdir $RPM_BUILD_ROOT%{_datadir}/lives/plugins/playback/video
mkdir $RPM_BUILD_ROOT%{_datadir}/icons
mkdir $RPM_BUILD_ROOT%{_datadir}/icons/mini
mkdir $RPM_BUILD_ROOT%{_datadir}/icons/large
mkdir $RPM_BUILD_ROOT%{_libdir}/
mkdir $RPM_BUILD_ROOT%{_libdir}/menu

cp /usr/share/lives/themes/default/main.jpg $RPM_BUILD_ROOT%{_datadir}/lives/themes/default
cp /usr/share/lives/themes/default/frame.jpg $RPM_BUILD_ROOT%{_datadir}/lives/themes/default
cp /usr/share/lives/themes/greenish/main.jpg $RPM_BUILD_ROOT%{_datadir}/lives/themes/greenish
cp /usr/share/lives/themes/greenish/frame.jpg $RPM_BUILD_ROOT%{_datadir}/lives/themes/greenish
cp /usr/share/lives/themes/pinks/main.jpg $RPM_BUILD_ROOT%{_datadir}/lives/themes/pinks
cp /usr/share/lives/themes/pinks/frame.jpg $RPM_BUILD_ROOT%{_datadir}/lives/themes/pinks
cp /usr/share/lives/themes/cutting_room/main.jpg $RPM_BUILD_ROOT%{_datadir}/lives/themes/cutting_room
cp /usr/share/lives/themes/cutting_room/frame.jpg $RPM_BUILD_ROOT%{_datadir}/lives/themes/cutting_room
cp /usr/share/lives/themes/sunburst/main.jpg $RPM_BUILD_ROOT%{_datadir}/lives/themes/sunburst
cp /usr/share/lives/themes/sunburst/frame.jpg $RPM_BUILD_ROOT%{_datadir}/lives/themes/sunburst
cp /usr/share/icons/lives.png $RPM_BUILD_ROOT%{_datadir}/icons
cp /usr/share/icons/mini/lives.png $RPM_BUILD_ROOT%{_datadir}/icons/mini
cp /usr/share/icons/large/lives.png $RPM_BUILD_ROOT%{_datadir}/icons/large
cp /usr/lib/menu/lives $RPM_BUILD_ROOT%{_libdir}/menu
#cp /usr/share/applnk-mdk/Multimedia/Video/LiVES.desktop $RPM_BUILD_ROOT%{_datadir}/applnk-mdk/Multimedia/Video
cp /usr/share/lives/plugins/encoders/transcode $RPM_BUILD_ROOT%{_datadir}/lives/plugins/encoders
cp /usr/share/lives/plugins/encoders/ffmpeg $RPM_BUILD_ROOT%{_datadir}/lives/plugins/encoders
cp /usr/share/lives/plugins/encoders/encodedv $RPM_BUILD_ROOT%{_datadir}/lives/plugins/encoders
cp /usr/share/lives/plugins/encoders/mencoder $RPM_BUILD_ROOT%{_datadir}/lives/plugins/encoders
cp /usr/share/lives/plugins/playback/video/SDL $RPM_BUILD_ROOT%{_datadir}/lives/plugins/playback/video


# GNOME2 Menu
mkdir $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << __EOF__
[Desktop Entry]
Name=LiVES
Comment=The Linux Video Editing System
TryExec=lives-exe
Exec=lives-exe
Terminal=0
Type=Application
Categories=GNOME;KDE;Multimedia;Video;
__EOF__

%clean
rm -rf $RPM_BUILD_ROOT

%post
ln -s /usr/bin/lives-exe /usr/bin/lives


%files

%defattr(0755, bin, bin)
%{_bindir}/*

%defattr(0444, bin, bin)
%doc GETTING.STARTED README FEATURES NEWS CHANGELOG
%{_datadir}/applications/%{name}.desktop

%defattr(0755, bin, bin)
%dir %{_datadir}/lives
%dir %{_datadir}/lives/themes
%dir %{_datadir}/lives/themes/default
%dir %{_datadir}/lives/themes/greenish
%dir %{_datadir}/lives/themes/pinks
%dir %{_datadir}/lives/themes/cutting_room
%dir %{_datadir}/lives/themes/sunburst
%dir %{_datadir}/lives/plugins
%dir %{_datadir}/lives/plugins/encoders
%dir %{_datadir}/lives/plugins/encoders/transcode
%dir %{_datadir}/lives/plugins/encoders/encodedv
%dir %{_datadir}/lives/plugins/encoders/mencoder
%dir %{_datadir}/lives/plugins/encoders/ffmpeg
%dir %{_datadir}/lives/plugins/playback
%dir %{_datadir}/lives/plugins/playback/video
%dir %{_datadir}/lives/plugins/playback/video/SDL


%defattr(0444, bin, bin)
%{_datadir}/lives/themes/default/main.jpg
%{_datadir}/lives/themes/default/frame.jpg
%{_datadir}/lives/themes/greenish/main.jpg
%{_datadir}/lives/themes/greenish/frame.jpg
%{_datadir}/lives/themes/pinks/main.jpg
%{_datadir}/lives/themes/pinks/frame.jpg
%{_datadir}/lives/themes/cutting_room/main.jpg
%{_datadir}/lives/themes/cutting_room/frame.jpg
%{_datadir}/lives/themes/sunburst/main.jpg
%{_datadir}/lives/themes/sunburst/frame.jpg

%defattr(0644, root, root)
%{_libdir}/menu/lives
#%{_datadir}/applnk-mdk/Multimedia/Video/LiVES.desktop
%{_datadir}/icons/lives.png
%{_datadir}/icons/mini/lives.png
%{_datadir}/icons/large/lives.png



%changelog
* Mon Mar 15 2004 G. Finch <salsaman@xs4all.nl>
- Version 0.8.5

Changes
Improved playback performance, particularly when playing in a separate window.
Fixed occasional hangs with the 'enough' and 'preview' buttons when loading.
Re-enabled backspace key for start/end selectors.
Implemented first playback plugin (SDL).
Allow multiple realtime effects, and rendering of realtime effects.
Changed wording on menu toggles to make them clearer (hopefully).
Added play buttons on the main menu.
Show selection length and time in the GUI.
Split interface.c into interface.c and gui.c
Switch back to previous clip when open/restore/capture is cancelled.
Put frame preview in play window.
Check that file exists after saving.
Allow performance recording when 'loop continuous' is on.
Allow 'none' theme to be selected again (regression).
Added 'delete selected audio','delete all audio' and 'insert silence' menu options.
Added support for resampling variable fps--->fixed fps.
Turned 'shrink' effect into 'shrink/expand'
Improved performance of 'random zoom'
Added 'colour filter' effect.
Give a warning and clean up if backup runs out of disk space.
Trim bottom blank row from captured windows.
Show length of selection in main window.
Show previews for images in the fileselector.
Correct some memory errors in rgb2uyvy conversion.
Make backup/restore more efficient
Improve trim frames dialog (part 1)
Make new framedraw widget (framedraw.c)
Clear up some disk space issues.
Add basic support for grabbing from firewire (using dvgrab)
Make 'cancel' more robust.
Allow realtime effects to grab keyboard 'k'
Fix some GUI glitches
Use a glist index in menu order for switching/closing clips.
Change 'loop video to fit audio' to '(auto)loop video to fit audio' and make the 
default setting on.
Added 'debug mode' for encoder plugins.





* Sat Nov 22 2003 G. Finch <salsaman@xs4all.nl>
- Version 0.8.1

Changes

Fixed an image loading bug in the back end.
Made sure that the play pointer is always redrawn after play.
Made selection with mouse a little more accurate.
Fixed 'jumble' effect so it only jumbles frames in the selection.
Allow cancel during copy to clipboard.
Added a new tool: 'trim frame size'.
Made a fix for gnome so that the 'processing' window has a border.
Made non-fatal startup errors be non-fatal again.
Fixed a crash when merging a still image with a clip.
Fixed a regression where undo after a merge would not always undo frames.
Fixed a bug where fps changes could be wrong when recording a selection.
Implemented clip switching (ctrl-pageup, ctrl-pagedn) and freeze (ctrl-backspace)
Added save_vj_set and load_vj_set
Added the 'shrink', 'shift' effects.
Added some nice real-time effects (accessed by ctrl-1 ctrl-2 etc,).
Improved directory loading so it loads in alpha order.
Added realtime effects : nervous, alien, noise, negate, posterize
Use default fps when opening a single frame.
Allow antialiasing on/off via a .lives pref.
Many more usability enhancements.




* Thu Sep 04 2003 G. Finch <salsaman@xs4all.nl>
- Version 0.7.5

Changes

Improved playback for faster frame rates.
Video and audio can now be previewed during open.
Quantisation of frames has been made smoother - recording looks much better now.
Added ability to switch to another clip whilst opening.
Fixed a bug where backups would only save to selection end (backported to 0.7.1-2)
Fixed an audio bug when opening files with mplayer as the audio player.
Allow recording of performances even in clips with no audio.
Freeze smogrify API (in progress).
Fixed a problem with merge (frame-in-frame).
Added new effects 'jumble frames' and 'tunnel'.
Video length is now calculated properly after fps changes are recorded.
Eliminated extremely long backup/restore times for larger files.
Fixed an overflow issue in the player code.
Added a basic timeline.
Option to maintain aspect when opening directories of images.
Added a preference to disable fast key repeat on playback.
Fixed 'export audio' so that it doesn't append silence at the end.
Added an option 'trim audio from beginning to play start'
Made encoders be plugins.
Added a 'continuous loop' option.
Fixed external window so it _really_ doesn't crash.
Made some updates to work with mplayer1.0pre1






* Thu Jul 31 2003 G. Finch <salsaman@xs4all.nl>
- Version 0.7.1

Changes

Implemented encoding with ffmpeg - 4 new output formats, including divx !
Added three new options to the audio menu 'export selected audio', 'append audio' 
and 'trim audio to selection'.
Cut/copy/insert/delete/paste now all work with sound as well as video.
Improved visibility of the playback cursors.
Added a function to resample video at a new framerate.
Added a function to resample audio at new rate/channels/sample size.
Audio is now auto-resampled between clips.
Added a preference to auto-resample video between clips ("insert_resample").
Fixed a bug where frames merged before a selection would sometimes 'jump'.
File size is now updated properly after backup/restore.
Subdirectories no longer prevent image directories from loading.
Fixed a freeze when the temp. directory does not end in '/'.
Added preview when opening file selection. Improved the responsiveness of file 
preview.
Audio files can now be loaded without video.
Added 'sticky' mode for playing in a separate window.
Improved 'colorize' effect and 'dream' effect.
Improved stability and performance.
LiVES should now respect 'configure --prefix' when looking for themes, etc.


* Thu Jun 26 2003 G. Finch <salsaman@xs4all.nl>
- Version 0.6.5

Changes

Mainly a bugfix and stability release.
Fixed some menu bugs. Underscores in recent files are now handled correctly.
Fixed the crash in audio preview.
Fixed the problem with file names getting lost after saving.
Fixed a bug in loading of WAV files.
Fixed a bug with selection start and end after merge.
Fixed some minor audio issues for Save Selection

One new feature: midi synch - if this is checked, then a midi start
will be sent when playback starts, and a midi stop when playback
stops. By default, /dev/midi is used, this can be changed by editing
the files '/usr/bin/midistart' and '/usr/bin/midistop'




* Fri Jun 20 2003 G. Finch <salsaman@xs4all.nl>
- Version 0.6.0

Changes

Added lossless backup/restore function.
Implemented basic events and recording of performances.
Reordering of frames is now possible after recording.
Made preview frame invisible again on blank background (regression).
Allow video to play backwards (using ctrl-down during playback).
Added a 'reverse direction' key, (ctrl-space during playback).
Fixed the bugs in external capture. It no longer crashes !
Fixed a bug to do with file extensions becoming corrupted.
Optimised the player code, playback is now much smoother.
Allow transparent to white; fixed frame-in-frame transparency.
Fixed some bugs to do with merging, and undoing pre-inserted frames.
Tidied up the undo/redo system - it should now work properly now even after switching clips.
Allow use of 'themes' to change the look of the app (3 builtin themes are available).
Added xmms random play feature. Added 'Recent Files' to the Files menu.
Many  improvements to the GUI; numerous other bug fixes.



* Thu May 30 2003 G. Finch <salsaman@xs4all.nl>
- Version 0.5.5

Changes

Merge now supports two types of variable transparency.
Added support for opening file selections, and opening remote locations.
Added previews on file open operations.
It is now possible to save individual frames to disk.
A possible bug with blank file save names was fixed.
Updated the colorize effect to work with latest imagemagick (5.5.4)
Added an option to load files without sound.
Numerous small fixes/cleanups.
 

* Tue Jan 28 2003 Victor Soroka <gbs@tnss.kharkov.ua> (packager)
- First LiVES RPM package of original code written by G. Finch (salsaman).
